Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/SelfTest/src/test.cpp	(revision 132)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Configuration/SelfTest/src/test.cpp	(revision 133)
@@ -56,28 +56,74 @@
   configuration1->toFile("data_out");
 
+  if (1)
   {
     cout << "------------------------------------------------------" << endl;
-
-    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_1.cfg",
-                                        generator1,
-                                        _get_custom_information
-                                        );
-    instance->toFile("data_out");
-    
+    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_01.cfg", generator1, _get_custom_information);
     delete instance;
   }
 
+  if (1)
   {
     cout << "------------------------------------------------------" << endl;
-
-    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_2.cfg",
-                                        generator1,
-                                        _get_custom_information
-                                        );
-    instance->toFile("data_out");
-    
+    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_02.cfg", generator1, _get_custom_information);
     delete instance;
   }
 
+  if (1)
+  {
+    cout << "------------------------------------------------------" << endl;
+    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_03.cfg", generator1, _get_custom_information);
+    delete instance;
+  }
+
+
+  if (0)
+  {
+    cout << "------------------------------------------------------" << endl;
+    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_04.cfg", generator1, _get_custom_information);
+    delete instance;
+  }
+
+  if (1)
+  {
+    cout << "------------------------------------------------------" << endl;
+    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_05.cfg", generator1, _get_custom_information);
+    delete instance;
+  }
+
+  if (0)
+  {
+    cout << "------------------------------------------------------" << endl;
+    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_06.cfg", generator1, _get_custom_information);
+    delete instance;
+  }
+
+  if (0)
+  {
+    cout << "------------------------------------------------------" << endl;
+    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_07.cfg", generator1, _get_custom_information);
+    delete instance;
+  }
+
+  if (0)
+  {
+    cout << "------------------------------------------------------" << endl;
+    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_08.cfg", generator1, _get_custom_information);
+    delete instance;
+  }
+
+  if (0)
+  {
+    cout << "------------------------------------------------------" << endl;
+    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_09.cfg", generator1, _get_custom_information);
+    delete instance;
+  }
+
+  if (0)
+  {
+    cout << "------------------------------------------------------" << endl;
+    Instance * instance = new Instance ("../../../Files/Instance_x4_w8_10.cfg", generator1, _get_custom_information);
+    delete instance;
+  }
 
   delete configuration1;
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_genMoore.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_genMoore.cpp	(revision 132)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Write_unit/Write_unit/Write_queue/src/Write_queue_genMoore.cpp	(revision 133)
@@ -133,16 +133,21 @@
         // Reset
         internal_WRITE_QUEUE_IN_ACK  = 0;
+        if (_param->_queue_scheme == WRITE_QUEUE_SCHEME_MOORE)
+          {
         internal_WRITE_QUEUE_OUT_VAL = 0;
         internal_GPR_WRITE_VAL = 0;
         internal_SPR_WRITE_VAL = 0;
-
+          }
       }
 
     // Write output
     PORT_WRITE(out_WRITE_QUEUE_IN_ACK , internal_WRITE_QUEUE_IN_ACK);
+
+    if (_param->_queue_scheme == WRITE_QUEUE_SCHEME_MOORE)
+      {
     PORT_WRITE(out_WRITE_QUEUE_OUT_VAL, internal_WRITE_QUEUE_OUT_VAL);
-
     PORT_WRITE(out_GPR_WRITE_VAL [0]  , internal_GPR_WRITE_VAL);
     PORT_WRITE(out_SPR_WRITE_VAL [0]  , internal_SPR_WRITE_VAL);
+      }
 
     log_end(Write_queue,FUNCTION);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_genMealy_retire.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_genMealy_retire.cpp	(revision 132)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_OOO_Engine/OOO_Engine/Commit_unit/src/Commit_unit_genMealy_retire.cpp	(revision 133)
@@ -57,4 +57,7 @@
           spr_write_sr_ov_val [i][j] = 0;
 
+          spr_write_sr_f      [i][j] = 0; // not necessary
+          spr_write_sr_cy     [i][j] = 0; // not necessary
+          spr_write_sr_ov     [i][j] = 0; // not necessary
         }
 
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 132)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/include/Version.h	(revision 133)
@@ -10,8 +10,8 @@
 #define MORPHEO_MAJOR_VERSION "0"
 #define MORPHEO_MINOR_VERSION "2"
-#define MORPHEO_REVISION      "132"
+#define MORPHEO_REVISION      "133"
 #define MORPHEO_CODENAME      "Castor"
 
-#define MORPHEO_DATE_DAY      "11"  
+#define MORPHEO_DATE_DAY      "13"  
 #define MORPHEO_DATE_MONTH    "07"
 #define MORPHEO_DATE_YEAR     "2009" 
